#include<fstream>
#include<string>
using namespace std;
ifstream fi("BAI4_14.inp");
ofstream fo("BAI4_14.out");
string s;
int n=0;
int pow(int n,int m)
{
	int kq=1;
	for(int i=0;i<m;i++)
	{
		kq*=n;
	}
	return kq;
}
int main()
{
	getline(fi,s);
	int y=s.length()-1;
	for(int i=0;i<y+1;i++)
	{
		n+=(int(s[i])-48)*pow(2,y-i);
	}
	fo<<n;
	fi.close();
	fo.close();
}

